# Country

The Country object provides information on world territories that are generally recognised to have sovereignty.

When countries are referenced externally, the [ISO 3166](https://en.wikipedia.org/wiki/ISO_3166) Alpha-3 code should be used as it serves as a unique identifier.

| **Property**          | **Type**       | **Description**                                                                                                                         |
| --------------------- | -------------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| `name`                | string         | The common name of the country in English.                                                                                              |
| `officialName`        | string         | The official name of the country in English. This is sometimes different from `name`                                                    |
| `iso2`                | string         | The [ISO 3166](https://en.wikipedia.org/wiki/ISO_3166) Alpha-2 code.                                                                    |
| `iso3`                | string         | The [ISO 3166](https://en.wikipedia.org/wiki/ISO_3166) Alpha-3 code.                                                                    |
| `isoNumeric`          | number         | The [ISO 3166](https://en.wikipedia.org/wiki/ISO_3166) Numeric number.                                                                  |
| `localIdentifierName` | string, `null` | The name of the identifier that this country issues to airports that don't have an official ICAO or IATA code, or in addition to these. |

**Example:**

```
{
      "iso2": "MX",
      "iso3": "MEX",
      "isoNumeric": 484,
      "name": "Mexico",
      "officialName": "United Mexican States"
    }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aviowiki.com/data-models/country.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
